Subject: bug#19466: 25.0.50; xref-find-def doesn't find C functions

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Feb 2015 22:30:06 +0200

> Date: Sun, 01 Feb 2015 22:11:08 +0200
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> On 02/01/2015 06:01 PM, Eli Zaretskii wrote:
> 
> >> What have you tried, exactly?
> >
> > I evaluated your suggested code, and then typed "M-.".
> 
> If you recall, I gave you several options, with the end goal being 
> making the choice between them or maybe something else.
> 
> So it would help if you mentioned exactly which one you tried and the 
> problems you experienced after.

They all did the same, AFAICS.

> >> You should have noticed that `M-.' in emacs-lisp-mode buffers behaves
> >> like in other buffers and uses the current tags table (and prompts for
> >> it if the tags table hasn't been visited yet).
> >
> > It does.
> 
> Good. So why did you report not seeing any significant changes?

Because I thought the effects were supposed to be more profound than
that.

> >> I've found one caveat now: even though the tags list is not buffer-local
> >> (right?), (tags-lazy-completion-table) returns different results in
> >> lisp/**/*.el buffers and src/*.c buffers.
> >
> > Yes, it's not 100% smooth.
> 
> What do you mean by that exactly?

What you discovered: the order of loading Emacs TAGS tables matters.

I have never loaded lisp/TAGS directly, only src/TAGS, which then
includes lisp/TAGS.

> It can't be that same as what I meant because you've rejected the only 
> example I gave.

I misunderstood your recipe, sorry.  I only loaded src/TAGS.